changeset 5acef145ef53 in tryton-overlay:default
details: https://hg.tryton.org/tryton-overlay?cmd=changeset&node=5acef145ef53
description:
        app-office/trytond: versions bump

        (Portage version: 3.0.18/hg/Linux x86_64, signed Manifest commit with 
key 0x574F6EFF4E477517)
        Signed-off-by: Cédric Krier <[email protected]>
diffstat:

 app-office/trytond/Manifest              |   24 +++---
 app-office/trytond/trytond-5.6.15.ebuild |  102 -------------------------------
 app-office/trytond/trytond-5.6.16.ebuild |  102 +++++++++++++++++++++++++++++++
 app-office/trytond/trytond-5.8.7.ebuild  |  102 -------------------------------
 app-office/trytond/trytond-5.8.8.ebuild  |  102 +++++++++++++++++++++++++++++++
 5 files changed, 216 insertions(+), 216 deletions(-)

diffs (462 lines):

diff -r 05a001cc0969 -r 5acef145ef53 app-office/trytond/Manifest
--- a/app-office/trytond/Manifest       Thu May 06 13:27:37 2021 +0200
+++ b/app-office/trytond/Manifest       Thu May 06 13:28:22 2021 +0200
@@ -7,22 +7,22 @@
 AUX trytond-init.d-2 799 BLAKE2B 
78dcf251feb3e9f04ba5014359c8da069cc54e14a626f6d9e03306008a30e4e412354c409ad7bb8beb47dfa65e1cc9eb12ab9459ea56f47e2994b25f113297c0
 SHA512 
1c6f1aa4fa8ad1da7e88e2ed5c53646802747c3ea1b4108ec51b400214eb7dd0a586548fa76d864be0087d24c1b9913343cba28339323e7a1a7fa370a8bce1c6
 AUX trytond-worker-init.d 827 BLAKE2B 
e87b93697abbbf1be85bfce382ffafe67fa951cd60cab530f64854485fa3d729524936356ec9dc9e2844addb3f92e04f73168e1f977003e1ea59e20126706fa1
 SHA512 
4d49e4b27d089462c86ecad6a7b9ba2143acbdeb60f2287305dedc8c9f8843487a8ab870e9dd9f883f4582949d4672a470d0f2498618aec54feee4db4c4d256b
 DIST trytond-5.4.20.tar.gz 684920 BLAKE2B 
a77299b9df89606f9628acc4f84ec9d0702c50776ad22cea83a4c092adf6e0236ac9cc141d21fb403d7e1833df766f90a29a528f7871b81d961359e0379ad1d3
 SHA512 
1bec3bb5c1654bfc1e2a8ca4a8b167f455f1a036539dd479cc1d4b9a52bdf44f498423d05507114bb343f94624e24bf390f27a9970bc772202328cde1f562bff
-DIST trytond-5.6.15.tar.gz 728172 BLAKE2B 
bc0b07934087a4a51b3c904ac3edd91cf63e4e3e48d4b2aab652d5f2f992edbcf37ddac2b5afb06d9b6e19a14214f807ab27eddb88771f21d0436143dd71c3d0
 SHA512 
e974f6c115c569e53ac275ea0c3c44e34f8c5f072bc8db4726e6a5a0cba29c4f2517f7ffc1e2597d521077d6b4acf5c53a3915adec8850c60154446462523d26
-DIST trytond-5.8.7.tar.gz 758557 BLAKE2B 
a05a6f0f027b610a7b647b89100e703186c5c3164cab48f9e137c60ff12d828004f2f85f0725599412e2eca7a211794e6254c299eaf62f3af5e0fbde630ddfe5
 SHA512 
9d124b073b1ead5511554b80db3eee0a26e3de40c9639a59ac4aa3616e3db28cf0d451369082b8df3ffcd46b472aff51c745ab063494466d9b3036a078793d76
+DIST trytond-5.6.16.tar.gz 728929 BLAKE2B 
dac12987f7a4199e365eeaa7a9775f2af65339331e4910fcdbb99776d1f430543b9cdd5e3f712e7c3cdc70780313000e2acf732b3b04b5b03255fad65df2b027
 SHA512 
f0f5634fa78a33a172fa502973d51ac58f75b6473b165605332cb2b0dca43bc91c2e69fbc285ab79ea55e820406ed9ba906cf059ad2acff982a20573d2f9aaba
+DIST trytond-5.8.8.tar.gz 759010 BLAKE2B 
b0024fcf5cca23a410b2595fa1e070bca6aeb2fbf184c65d46f243ef10b00f1b7990caf62dbddeccf099746c286fc75f3d936fdb1227252e6396e31c88457f64
 SHA512 
76f24d40f1359bc2d7c751f5a8ee6b898995f316f52ccd6883f5e615c974338ad0f14ee97de858e200017c68978033403217c4eb3f6590a996ae86f9cb206303
 EBUILD trytond-5.4.20.ebuild 2883 BLAKE2B 
25469e60fc67e8f6723f38fafdae1bfe38e52ec456ec5f289ff7af3c8e5aba6c2cfd73c5d4c0eb404203ae84d7af4228ca1fec0882339c25fc107a7728bb9f89
 SHA512 
d9366219e6d3f73695ed17c10190b5bc3449aaefd1bebbb209a5fae054de04fd6af8b735ea1b89f55d5e217205a81e25bb5070b0d20831a369b0d21d5de97809
-EBUILD trytond-5.6.15.ebuild 2944 BLAKE2B 
f61cf5b27e52982734857e5233826226e2df59d85cbcb2150e88725c05b8c966f4958914ef4d52dbe686f86c8a1134014aa4f27cb5d13fca3f6d519bd7a82d3d
 SHA512 
76726c475e13d058b2b326962979f1b6572aa1d7225e4572d9746b8948171fc23ef6154f13952a033421e6c66dcd2d331b30e591b719cc451567310a5598e21a
-EBUILD trytond-5.8.7.ebuild 2944 BLAKE2B 
16e50a8924eff191dd206b7d7c935d22cc74e6671f2b59eb5084d76c15f3a14585e450ee8f631294b85b92de919966d42995b8d02140736956102c7a9f019705
 SHA512 
f911e353404be3ebc6d4bd9c2bf4c18636a05556c9b9444c8be6d312c0706ee6be4a83292b70f92e8853580eae2eb18bed22e1cd648215c260fcf373e0379741
+EBUILD trytond-5.6.16.ebuild 2944 BLAKE2B 
f61cf5b27e52982734857e5233826226e2df59d85cbcb2150e88725c05b8c966f4958914ef4d52dbe686f86c8a1134014aa4f27cb5d13fca3f6d519bd7a82d3d
 SHA512 
76726c475e13d058b2b326962979f1b6572aa1d7225e4572d9746b8948171fc23ef6154f13952a033421e6c66dcd2d331b30e591b719cc451567310a5598e21a
+EBUILD trytond-5.8.8.ebuild 2944 BLAKE2B 
16e50a8924eff191dd206b7d7c935d22cc74e6671f2b59eb5084d76c15f3a14585e450ee8f631294b85b92de919966d42995b8d02140736956102c7a9f019705
 SHA512 
f911e353404be3ebc6d4bd9c2bf4c18636a05556c9b9444c8be6d312c0706ee6be4a83292b70f92e8853580eae2eb18bed22e1cd648215c260fcf373e0379741
 MISC ChangeLog 22532 BLAKE2B 
391afdd0a9c008f8d3ab552eec64ffcd171c4df73dd3aefbc4b7834bb2f6ea3edab7821405435f2a9e416563fad3e0a3d75f653872f7244b4768537a544611b4
 SHA512 
f7edb623ed4a20b48ba8e81ee6f0c14942da036b9d37ab5be85ee1aac64e2968f65b4cc1d1c4c9a9c1219ddb020d53ef5ef115cc6acc32fce7ab26ab8a4efb4d
 MISC metadata.xml 613 BLAKE2B 
3b833ae87391edd14ed37da8d01ff0368b774c7013160eae7e7141775c4168098459bbac1ccdf2cc5d90b502ebc9110da0c8dd6c4b3175b0f020943d72545fc0
 SHA512 
08cc597867722e300cb6357d15305d977bad6cd95677fe5fc829cea91ec0dfcdcae2993a4d7b14744c01022c26312aa70819417e6e3ce593210d380cb0077385
 -----BEGIN PGP SIGNATURE-----
 Version: GnuPG v2
 
-iQEzBAEBCAAdFiEEdP/VdIYNMe45RAljV09u/05HdRcFAmB6lzsACgkQV09u/05H
-dRfdOgf9FuStEmFaNfyuovc5oNwKv3TiCIIjOf/TZduAhOBx1EnQOKBlSPM6zZpe
-1Q4gZpru82D5wDyGcLoW4U4kf0UbSd0e6UQBL2zWyachgMOFsyT7PYg4oKX/GAjs
-9UIsFLH4wFbTE0pXcn+b0GM1hPnxxhMjnJGuEpWfqKxaigzI5yx8PNvOjDInzaAb
-2mY41cHbajKPFoDVn6VcY09X7R//4VWrQZziPLkPptiHVPFb8jAp0PuAtda04yC+
-HNilBd/fBLULU0dnzfFjRHsUznWFs+HAj1FQLtEhaYrbbvl6dFDPobRrKr7e6n5z
-MmfXBKa2BT2n11xs7aiXFxXvWGseUA==
-=aupX
+iQEzBAEBCAAdFiEEdP/VdIYNMe45RAljV09u/05HdRcFAmCT0tYACgkQV09u/05H
+dReplgf8CRQ0FvwbGZsZ67HXBHz9VuIUNKwo7u1Bt+Q0+Bg0i7NVUAL52s4rxVFq
+OAkXzl6mGOINnemmyEv2l4qBPRGKG4Hi4ewm/JzgDZOG0Sh4dUyrUKFejt29HI4e
+YyYKVsIcMnuwrEwGRrf3y/wrddHqFMVKjTbdXxCQr52iKRmPMa931x55QE2v7Ccl
+wHJ6Qn6z/FwFq7Ra3tT+3RCH7ZAZ4uOeCOVeYjV9u6/WPGp29lygCDJckwe0drz6
+AY/R1uRdyY9URDbbedeufgZHKSIQylh0gxxU8J/W4CU978bTGz6IYf1JNvrdYfHQ
+zLa/lNQopUxVgNSfG3EBey9q1o9NOw==
+=JEY7
 -----END PGP SIGNATURE-----
diff -r 05a001cc0969 -r 5acef145ef53 app-office/trytond/trytond-5.6.15.ebuild
--- a/app-office/trytond/trytond-5.6.15.ebuild  Thu May 06 13:27:37 2021 +0200
+++ /dev/null   Thu Jan 01 00:00:00 1970 +0000
@@ -1,102 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_{5..8} )
-
-inherit distutils-r1
-
-DESCRIPTION="A three-tiers high-level general purpose business application 
framework"
-HOMEPAGE="http://www.tryton.org/";
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="doc graphviz mysql +postgres sqlite levenshtein bcrypt html2text 
weasyprint coroutine test"
-
-RDEPEND="acct-group/trytond
-       acct-user/trytond
-       postgres? ( >=dev-python/psycopg-2.5.4[$PYTHON_USEDEP] )
-       sqlite? ( dev-lang/python:*[sqlite] )
-       >=dev-python/lxml-2.0[$PYTHON_USEDEP]
-       >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
-       dev-python/genshi[$PYTHON_USEDEP]
-       dev-python/python-dateutil[$PYTHON_USEDEP]
-       dev-python/polib[$PYTHON_USEDEP]
-       >=dev-python/python-sql-0.5[$PYTHON_USEDEP]
-       dev-python/werkzeug[$PYTHON_USEDEP]
-       dev-python/wrapt[$PYTHON_USEDEP]
-       >=dev-python/passlib-1.7.0[$PYTHON_USEDEP]
-       graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
-       levenshtein? ( dev-python/python-levenshtein[$PYTHON_USEDEP] )
-       bcrypt? ( dev-python/passlib[bcrypt,$PYTHON_USEDEP] )
-       html2text? ( dev-python/html2text[$PYTHON_USEDEP] )
-       weasyprint? ( dev-python/weasyprint[$PYTHON_USEDEP] )
-       coroutine? ( >=dev-python/gevent-1.1[$PYTHON_USEDEP] )"
-DEPEND="${RDEPEND}
-       dev-python/setuptools[$PYTHON_USEDEP]
-       doc? ( >=dev-python/sphinx-0.3 )
-       test? (
-               dev-lang/python:*[sqlite]
-               )"
-
-src_compile() {
-       distutils-r1_src_compile
-
-       if use doc; then
-               pushd doc > /dev/null
-               emake html || die "Generation of HTML documentation failed"
-               popd > /dev/null
-       fi
-}
-
-src_install() {
-       distutils-r1_src_install
-
-       newinitd "${FILESDIR}"/trytond-init.d-2 trytond
-       newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
-       newinitd "${FILESDIR}"/trytond-worker-init.d trytond-worker
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-worker
-       keepdir /var/log/trytond
-       keepdir /var/lib/trytond
-       fperms 770 /var/lib/trytond
-
-       dodoc CHANGELOG COPYRIGHT README.rst
-       if use doc; then
-               docinto html
-               dodoc -r doc/_build/html/*
-       fi
-}
-
-python_test() {
-       DB_NAME=":memory:" esetup.py test || die
-}
-
-pkg_preinst() {
-       fowners trytond:trytond /var/log/trytond
-       fowners trytond:trytond /var/lib/trytond
-}
-
-pkg_postinst() {
-       if use postgres; then
-               elog "In order to setup the initial database, run:"
-               elog "  emerge --config =${CATEGORY}/${PF}"
-               elog "Be sure the database is started before"
-       fi
-}
-
-pquery() {
-       psql -q -At -U postgres -d template1 -c "$@"
-}
-
-pkg_config() {
-       einfo "In the following, the 'postgres' user will be used."
-       if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" | 
grep -q trytond; then
-               ebegin "Creating database user trytond"
-               createuser --username=postgres --createdb --no-adduser trytond
-               eend $? || die "Failed to create database user"
-       fi
-}
diff -r 05a001cc0969 -r 5acef145ef53 app-office/trytond/trytond-5.6.16.ebuild
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/app-office/trytond/trytond-5.6.16.ebuild  Thu May 06 13:28:22 2021 +0200
@@ -0,0 +1,102 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5..8} )
+
+inherit distutils-r1
+
+DESCRIPTION="A three-tiers high-level general purpose business application 
framework"
+HOMEPAGE="http://www.tryton.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc graphviz mysql +postgres sqlite levenshtein bcrypt html2text 
weasyprint coroutine test"
+
+RDEPEND="acct-group/trytond
+       acct-user/trytond
+       postgres? ( >=dev-python/psycopg-2.5.4[$PYTHON_USEDEP] )
+       sqlite? ( dev-lang/python:*[sqlite] )
+       >=dev-python/lxml-2.0[$PYTHON_USEDEP]
+       >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
+       dev-python/genshi[$PYTHON_USEDEP]
+       dev-python/python-dateutil[$PYTHON_USEDEP]
+       dev-python/polib[$PYTHON_USEDEP]
+       >=dev-python/python-sql-0.5[$PYTHON_USEDEP]
+       dev-python/werkzeug[$PYTHON_USEDEP]
+       dev-python/wrapt[$PYTHON_USEDEP]
+       >=dev-python/passlib-1.7.0[$PYTHON_USEDEP]
+       graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
+       levenshtein? ( dev-python/python-levenshtein[$PYTHON_USEDEP] )
+       bcrypt? ( dev-python/passlib[bcrypt,$PYTHON_USEDEP] )
+       html2text? ( dev-python/html2text[$PYTHON_USEDEP] )
+       weasyprint? ( dev-python/weasyprint[$PYTHON_USEDEP] )
+       coroutine? ( >=dev-python/gevent-1.1[$PYTHON_USEDEP] )"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[$PYTHON_USEDEP]
+       doc? ( >=dev-python/sphinx-0.3 )
+       test? (
+               dev-lang/python:*[sqlite]
+               )"
+
+src_compile() {
+       distutils-r1_src_compile
+
+       if use doc; then
+               pushd doc > /dev/null
+               emake html || die "Generation of HTML documentation failed"
+               popd > /dev/null
+       fi
+}
+
+src_install() {
+       distutils-r1_src_install
+
+       newinitd "${FILESDIR}"/trytond-init.d-2 trytond
+       newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
+       newinitd "${FILESDIR}"/trytond-worker-init.d trytond-worker
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-worker
+       keepdir /var/log/trytond
+       keepdir /var/lib/trytond
+       fperms 770 /var/lib/trytond
+
+       dodoc CHANGELOG COPYRIGHT README.rst
+       if use doc; then
+               docinto html
+               dodoc -r doc/_build/html/*
+       fi
+}
+
+python_test() {
+       DB_NAME=":memory:" esetup.py test || die
+}
+
+pkg_preinst() {
+       fowners trytond:trytond /var/log/trytond
+       fowners trytond:trytond /var/lib/trytond
+}
+
+pkg_postinst() {
+       if use postgres; then
+               elog "In order to setup the initial database, run:"
+               elog "  emerge --config =${CATEGORY}/${PF}"
+               elog "Be sure the database is started before"
+       fi
+}
+
+pquery() {
+       psql -q -At -U postgres -d template1 -c "$@"
+}
+
+pkg_config() {
+       einfo "In the following, the 'postgres' user will be used."
+       if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" | 
grep -q trytond; then
+               ebegin "Creating database user trytond"
+               createuser --username=postgres --createdb --no-adduser trytond
+               eend $? || die "Failed to create database user"
+       fi
+}
diff -r 05a001cc0969 -r 5acef145ef53 app-office/trytond/trytond-5.8.7.ebuild
--- a/app-office/trytond/trytond-5.8.7.ebuild   Thu May 06 13:27:37 2021 +0200
+++ /dev/null   Thu Jan 01 00:00:00 1970 +0000
@@ -1,102 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-PYTHON_COMPAT=( python3_{6..8} )
-
-inherit distutils-r1
-
-DESCRIPTION="A three-tiers high-level general purpose business application 
framework"
-HOMEPAGE="http://www.tryton.org/";
-SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="doc graphviz mysql +postgres sqlite levenshtein bcrypt html2text 
weasyprint coroutine test"
-
-RDEPEND="acct-group/trytond
-       acct-user/trytond
-       postgres? ( >=dev-python/psycopg-2.5.4[$PYTHON_USEDEP] )
-       sqlite? ( dev-lang/python:*[sqlite] )
-       >=dev-python/lxml-2.0[$PYTHON_USEDEP]
-       >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
-       dev-python/genshi[$PYTHON_USEDEP]
-       dev-python/python-dateutil[$PYTHON_USEDEP]
-       dev-python/polib[$PYTHON_USEDEP]
-       >=dev-python/python-sql-0.5[$PYTHON_USEDEP]
-       dev-python/werkzeug[$PYTHON_USEDEP]
-       dev-python/wrapt[$PYTHON_USEDEP]
-       >=dev-python/passlib-1.7.0[$PYTHON_USEDEP]
-       graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
-       levenshtein? ( dev-python/python-levenshtein[$PYTHON_USEDEP] )
-       bcrypt? ( dev-python/passlib[bcrypt,$PYTHON_USEDEP] )
-       html2text? ( dev-python/html2text[$PYTHON_USEDEP] )
-       weasyprint? ( dev-python/weasyprint[$PYTHON_USEDEP] )
-       coroutine? ( >=dev-python/gevent-1.1[$PYTHON_USEDEP] )"
-DEPEND="${RDEPEND}
-       dev-python/setuptools[$PYTHON_USEDEP]
-       doc? ( >=dev-python/sphinx-0.3 )
-       test? (
-               dev-lang/python:*[sqlite]
-               )"
-
-src_compile() {
-       distutils-r1_src_compile
-
-       if use doc; then
-               pushd doc > /dev/null
-               emake html || die "Generation of HTML documentation failed"
-               popd > /dev/null
-       fi
-}
-
-src_install() {
-       distutils-r1_src_install
-
-       newinitd "${FILESDIR}"/trytond-init.d-2 trytond
-       newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
-       newinitd "${FILESDIR}"/trytond-worker-init.d trytond-worker
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
-       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-worker
-       keepdir /var/log/trytond
-       keepdir /var/lib/trytond
-       fperms 770 /var/lib/trytond
-
-       dodoc CHANGELOG COPYRIGHT README.rst
-       if use doc; then
-               docinto html
-               dodoc -r doc/_build/html/*
-       fi
-}
-
-python_test() {
-       DB_NAME=":memory:" esetup.py test || die
-}
-
-pkg_preinst() {
-       fowners trytond:trytond /var/log/trytond
-       fowners trytond:trytond /var/lib/trytond
-}
-
-pkg_postinst() {
-       if use postgres; then
-               elog "In order to setup the initial database, run:"
-               elog "  emerge --config =${CATEGORY}/${PF}"
-               elog "Be sure the database is started before"
-       fi
-}
-
-pquery() {
-       psql -q -At -U postgres -d template1 -c "$@"
-}
-
-pkg_config() {
-       einfo "In the following, the 'postgres' user will be used."
-       if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" | 
grep -q trytond; then
-               ebegin "Creating database user trytond"
-               createuser --username=postgres --createdb --no-adduser trytond
-               eend $? || die "Failed to create database user"
-       fi
-}
diff -r 05a001cc0969 -r 5acef145ef53 app-office/trytond/trytond-5.8.8.ebuild
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/app-office/trytond/trytond-5.8.8.ebuild   Thu May 06 13:28:22 2021 +0200
@@ -0,0 +1,102 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6..8} )
+
+inherit distutils-r1
+
+DESCRIPTION="A three-tiers high-level general purpose business application 
framework"
+HOMEPAGE="http://www.tryton.org/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc graphviz mysql +postgres sqlite levenshtein bcrypt html2text 
weasyprint coroutine test"
+
+RDEPEND="acct-group/trytond
+       acct-user/trytond
+       postgres? ( >=dev-python/psycopg-2.5.4[$PYTHON_USEDEP] )
+       sqlite? ( dev-lang/python:*[sqlite] )
+       >=dev-python/lxml-2.0[$PYTHON_USEDEP]
+       >=dev-python/relatorio-0.7[fodt,$PYTHON_USEDEP]
+       dev-python/genshi[$PYTHON_USEDEP]
+       dev-python/python-dateutil[$PYTHON_USEDEP]
+       dev-python/polib[$PYTHON_USEDEP]
+       >=dev-python/python-sql-0.5[$PYTHON_USEDEP]
+       dev-python/werkzeug[$PYTHON_USEDEP]
+       dev-python/wrapt[$PYTHON_USEDEP]
+       >=dev-python/passlib-1.7.0[$PYTHON_USEDEP]
+       graphviz? ( dev-python/pydot[$PYTHON_USEDEP] )
+       levenshtein? ( dev-python/python-levenshtein[$PYTHON_USEDEP] )
+       bcrypt? ( dev-python/passlib[bcrypt,$PYTHON_USEDEP] )
+       html2text? ( dev-python/html2text[$PYTHON_USEDEP] )
+       weasyprint? ( dev-python/weasyprint[$PYTHON_USEDEP] )
+       coroutine? ( >=dev-python/gevent-1.1[$PYTHON_USEDEP] )"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[$PYTHON_USEDEP]
+       doc? ( >=dev-python/sphinx-0.3 )
+       test? (
+               dev-lang/python:*[sqlite]
+               )"
+
+src_compile() {
+       distutils-r1_src_compile
+
+       if use doc; then
+               pushd doc > /dev/null
+               emake html || die "Generation of HTML documentation failed"
+               popd > /dev/null
+       fi
+}
+
+src_install() {
+       distutils-r1_src_install
+
+       newinitd "${FILESDIR}"/trytond-init.d-2 trytond
+       newinitd "${FILESDIR}"/trytond-cron-init.d-2 trytond-cron
+       newinitd "${FILESDIR}"/trytond-worker-init.d trytond-worker
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-cron
+       newconfd "${FILESDIR}"/trytond-conf.d-2 trytond-worker
+       keepdir /var/log/trytond
+       keepdir /var/lib/trytond
+       fperms 770 /var/lib/trytond
+
+       dodoc CHANGELOG COPYRIGHT README.rst
+       if use doc; then
+               docinto html
+               dodoc -r doc/_build/html/*
+       fi
+}
+
+python_test() {
+       DB_NAME=":memory:" esetup.py test || die
+}
+
+pkg_preinst() {
+       fowners trytond:trytond /var/log/trytond
+       fowners trytond:trytond /var/lib/trytond
+}
+
+pkg_postinst() {
+       if use postgres; then
+               elog "In order to setup the initial database, run:"
+               elog "  emerge --config =${CATEGORY}/${PF}"
+               elog "Be sure the database is started before"
+       fi
+}
+
+pquery() {
+       psql -q -At -U postgres -d template1 -c "$@"
+}
+
+pkg_config() {
+       einfo "In the following, the 'postgres' user will be used."
+       if ! pquery "SELECT usename FROM pg_user WHERE usename = 'trytond'" | 
grep -q trytond; then
+               ebegin "Creating database user trytond"
+               createuser --username=postgres --createdb --no-adduser trytond
+               eend $? || die "Failed to create database user"
+       fi
+}

Reply via email to